/* AgentCableSelector styles
//
// @author Sonja Happ <sonja.happ@eonerc.rwth-aachen.de>, Jonas Otten
// @copyright 2019, Institute for Automation of Complex Power Systems, EONERC
// @license GNU General Public License (version 3)
//
// DistAIX Web
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
///////////////////////////////////////////////////////////////////////////////*/

.agentCablesElement{
	display: flex;
	cursor: pointer;
	color: white;
	margin: 5px;
	background: cornflowerblue;
	text-align: center;
	border-radius: 5px;
}

.agentCablesInnerElement{
	padding: 20px;
}

.agentCablesInfo{
	font-size: 20px;
	display: flex;
	flex-direction: column;
	justify-content: space-around;
}

.agentCablesElementHeader{
	color: black;
	padding: 5px;
	text-decoration: underline;
}

.agentCablesElements{
	flex-wrap: wrap;
	display: flex;
}

#agentCableSelector{
	display: flex;
	flex-grow: 1;
	justify-content: space-around;
	flex-direction: column;
}


#agentCableSelectText{
	padding: 10px;
	border-radius: 5px;
	margin-left: 15px;
}


#agentCableSelectorBox{
	padding: 20px;
	padding-top: 0px;
	margin: 10px;
	border-radius: 10px;
	overflow: auto;
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

#agentCableSelectorBoxElements{
	overflow: auto;
}

#agentCableSelectorBoxDescription{
	padding: 20px;
}


#agentCablesHeader{
	flex-shrink: 0;
	display: flex;
	padding: 30px;
	padding-bottom: 10px;
}

#agentCableSelectAllNoneButton{
	color: white;
	padding: 10px;
	padding-left: 30px;
	padding-right: 30px;
	border-radius: 5px;
	margin-left: 15px;
	background-color: crimson;
	box-shadow: 7px 0px 12px -6px rgba(0,0,0,0.26);
}